'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.createTable('tickets', {
			id: {
				type: Sequelize.UUID,
				defaultValue: Sequelize.UUIDV4,
				allowNull: false,
				primaryKey: true,
			},
			ticket_no: {
				type: Sequelize.STRING,
				allowNull: false,
				unique: true,
			},
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.dropTable('tickets');
	},
};
